function outvec = my_cumsum(invec)
% my_cumsum computes the cumulative sum the vector invec 
% Returns a vector outvec such that outvec(i) contains the sum 
% of the first i elements of the vector 

%for loop
outvec = zeros(1, length(invec));
for i=1:length(invec)
    for j=1:i
        outvec(i) = outvec(i) + invec(j);
    end
end

%while loop
% outvec = zeros(1, length(invec));
% i=1;
% while i<=length(invec)
%     j=1;
%     while j<=i
%         outvec(i)=outvec(i)+invec(j);
%         j=j+1;
%     end
%     i=i+1;    
% end

%A more efficient version of the for loop is:
% outvec(1) = invec(1);
% for i=2:length(invec)
%        outvec(i) = outvec(i-1) + invec(i);
% end

end